cURL
curl --request POST \
--url https://api.goevery.co/v1/channels/{channelId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient": {
"phone": "+573001234567",
"name": "Juan Pérez"
},
"text": "Your order has been confirmed."
}
'import requests
url = "https://api.goevery.co/v1/channels/{channelId}/messages"
payload = {
"recipient": {
"phone": "+573001234567",
"name": "Juan Pérez"
},
"text": "Your order has been confirmed."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient: {phone: '+573001234567', name: 'Juan Pérez'},
text: 'Your order has been confirmed.'
})
};
fetch('https://api.goevery.co/v1/channels/{channelId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "channels/6633a1b2c4d5e6f7a8b9c0d1/conversations/664fa2b3c4d5e6f7a8b9c0d2/messages/665ab3c4d5e6f7a8b9c0d3e4",
"createTime": "2026-04-03T10:00:00Z",
"status": "SENDING",
"contentType": "TEXT",
"text": "Your order has been confirmed.",
"template": {
"name": "order_status_update",
"language": "es",
"headerParameters": {
"customerName": "Juan"
},
"bodyParameters": {
"orderNumber": "12345",
"status": "confirmado"
}
}
}Messaging
Create Message by Phone
POST
/
v1
/
channels
/
{channelId}
/
messages
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the channel.
Example:
"6633a1b2c4d5e6f7a8b9c0d1"
Body
application/json
Response
200 - application/json
Successfully created a message.
The resource name of the message.
Example:
"channels/6633a1b2c4d5e6f7a8b9c0d1/conversations/664fa2b3c4d5e6f7a8b9c0d2/messages/665ab3c4d5e6f7a8b9c0d3e4"
The timestamp when the message was created.
Example:
"2026-04-03T10:00:00Z"
The delivery status of the message.
Available options:
SENDING, SENT, DELIVERED, READ, FAILED Example:
"SENDING"
The content type of the message.
Available options:
TEXT, TEMPLATE Example:
"TEXT"
The text content. Present when contentType is TEXT.
Example:
"Your order has been confirmed."
The template content. Present when contentType is TEMPLATE.
Show child attributes
Show child attributes
⌘I